from setuptools import find_packages, setup

package_name = 'my_double_integrator'

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml', 'launch.py']),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='silas',
    maintainer_email='silas@todo.todo',
    description='A double integrator simulation with ROS2 nodes',
    license='Apache-2.0',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'double_integrator = my_double_integrator.double_integrator:main',
            'controller = my_double_integrator.controller:main',
            'reference_position_generator = my_double_integrator.reference_position_generator:main',
        ],
    },
)
